Package com.google.android.exoplayer2.testutil

## Class ActionSchedule

- java.lang.Object
- - com.google.android.exoplayer2.testutil.ActionSchedule

-     public final class ActionSchedule
      extends Object

  Schedules a sequence of `Action`s for execution during a test.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ActionSchedule.Builder` | A builder for `ActionSchedule` instances.
    `static interface` | `ActionSchedule.Callback` | Callback to notify listener that the action schedule has finished.
    `static class` | `ActionSchedule.PlayerRunnable` | Provides a wrapper for a `Runnable` which has access to the player.
    `static class` | `ActionSchedule.PlayerTarget` | Provides a wrapper for a `PlayerMessage.Target` which has access to the player when handling messages.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`